## org.apache.portals.bridges.jsf
Class AbstractAttributeMap.KeyIterator

    java.lang.Object
      org.apache.portals.bridges.jsf.AbstractAttributeMap.KeyIterator

All Implemented Interfaces:
  Iterator

Direct Known Subclasses:
  AbstractAttributeMap.EntryIterator, AbstractAttributeMap.ValuesIterator

Enclosing class:
  AbstractAttributeMap

private class AbstractAttributeMap.KeyIterator
extends Object
implements Iterator

Field Summary
`protected Object` `_currentKey`
`protected Enumeration` `_e`

Constructor Summary
`private` `AbstractAttributeMap.KeyIterator()`

Method Summary
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _e

    protected final Enumeration _e

### _currentKey

    protected Object _currentKey

Constructor Detail

### AbstractAttributeMap.KeyIterator

    private AbstractAttributeMap.KeyIterator()

Method Detail

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.